List Spaces
curl --request GET \
--url https://forgegames.org/api/spaces \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://forgegames.org/api/spaces"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://forgegames.org/api/spaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"cols": 123,
"rows": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"teamId": "<string>",
"userSpaces": [
{
"id": "<string>",
"userId": "<string>"
}
]
}
]{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}spaces
List Spaces
Lists the spaces defined within a specific team. Spaces represent areas or containers where item instances can be stored.
GET
/
spaces
List Spaces
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Response
Successful response
⌘I